- [EXPERIMENTAL] Upsert Home Base
Get cursor-based home bases
[EXPERIMENTAL] Get Home Base by id
[EXPERIMENTAL] Delete Home Base by id
[EXPERIMENTAL] Upsert Hom...
Upsert a single HomeBase. Once it is created Employees and Transport Resources can make use of it.
Security
clientCredentials
The RFC7240 Prefer header indicates that a particular server behavior is preferred by the client but is not required for successful completion of the request (see RFC 7240).
The following behavior (see Examples) is supported by this API:
- return=<minimal|representation> is used to suggest the server to return using 204 without resource (minimal) or using 200 or 201 with resource (representation) in the response body on success.
Examples:
minimal
Indicate no response is needed, can be omitted
["return=minimal"]representation
Request the result of the operation as response
["return=representation"]Either address information should be present, or otherwise the geo point. The resolved information will be read only and be filled out after resolving.
- Mock serverhttps://developer.conundra.eu/_mock/apis/resource-management/resources-api/home-base/{id}
- Resources API Productionhttps://api.conundra.eu/resource-management/v1/home-base/{id}
{ "name": "Ghent - Headquarters", "address": { "address_line": "Voordries 41b", "city": "Oosterzele", "zip_code": "9860", "country_code": "BE", "geo_point": { … } }, "plan_group": "cargo planning" }
Response
{ "business_id": "HB-GHENT-01", "id": "HB-GHENT-01", "name": "Ghent - Headquarters", "address": { "address_line": "Voordries 41b", "city": "Oosterzele", "zip_code": "9860", "country_code": "BE", "geo_point": { … } }, "plan_group": "cargo planning" }